/* the rea structure

6 Jan 2003 update WHFS and DTS.
Includes new swh0 and unsigned flag
23 Feb 2001 new flags defined DTS
 */

struct REA {
	int	utcs;	/* seconds since 1985 */
	int	utcmus;	/* microsecond fraction */
	int	lat;	/* microdegrees, -90000000 to 90000000 */
	int	lon;	/* microdegrees, 0 to 359999999 */
	int	agc;	/* AutoGainCntrl * 100 db, 0 to 6400 */
	int	sig0;	/* SigmaNaught * 100, -2500 to 5600 */
	int	range;	/* Raw range to 32.5 waveform bin, mm */
	int	alt;	/* Orbital altitude, mm */
	int	corr;	/* sum (-dopp+iono+dry_tropo+wet_tropo-cog_off), mm */
	int	tide;	/* sum (earth_tide+ocean_tide+ocean_ltide), mm */
	int	geoid;	/* GSFC MSS for lat < 80, else EGM96, mm */
	int	swh0;	/* original swh, mm */
	unsigned short int uhp[64];	/* returned waveform power */
	short int drange;	/* retracked range correction, mm */
	short int swh;		/* retracked estimate of swh, mm  */
	unsigned short int power;	/* estimate of waveform power  */
	unsigned short int flag;	
		/* 0 -      1 - ice mode
		   1 -      2 - lake
		   2 -      4 - dry land 
                   3 -      8 - no delft orbit - use wap orbit 
		   4 -     16 - delft orbit outside of precise - use delft orbit
		   5 -     32 - no csr tide model available - use wap tide model
		   6 -     64 - no high-resolution ssh model available - use EGM96
                results from retrack1
		   7 -    128 - waveform is flat
		   8 -    256 - min occurs after first max
		   9 -    512 - waveform ramp is out of bounds
		  10 -   1024 - low track point after high track point
		  11 -   2048 - drange is out of bounds
		  12 -   4096 - swh is out of bounds
		  13 -   8192 - erf_retrack failed least squares
		  14 -  16384 - amp outside of range 600-730
		  15 -  32768 - open
                          */
};

/* To compute a corrected height:
	corr_ht = (alt - range) + corr - tide
	range = range + drange
*/
