c
       integer function csr40tide (utc, lat, lon, h)
c
c C-callable binding to the csr 4.0 tide subroutine.
c returns -1 on error or 0 on success
c if successful, sets h to total geocentric tide in mm
c (short period plus long period plus load) obtained
c by orthoweight file ortho_csr_4.0
c
       implicit none
       real*8 utc, lat, lon, h
       real*8 dmjd, tlp, tds, u(3,2), v(3,2)
       logical isdata, pseudo, radiation
       integer ifirst
        save ifirst,pseudo
        data ifirst /0/
c
c   open the file if this is the first call
c
        if(ifirst.eq.0) then
           open(51, file='/mgg/alt/grids/ortho_csr_4.0')
           ifirst=1
        endif
c
c this number of days corresponds to Jan 1, 2000
c the number for jan 1, 1985 is 46066
c see http://www.csgnetwork.com/julianmodifdateconv.html
c
       dmjd = 51544.d0 + utc/86400.d0
       call csrtide (dmjd, lat, lon, h, tlp, tds, isdata, u, v,
     +  pseudo, radiation)
c
       if (isdata) then
         csr40tide = 0
       else
         csr40tide = -1
       end if
       return
       end
