/*-- generates a model waveform and its derivatives */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

int main( int   argc, char *argv[] )
{
	double gt2mm=468.257; /* 234.129 468.257 */
        double sig0,t0;
        double facm,facd;
        double dgd0, dgdp, dfvp;
        double om, od, pcf, pcd;
        double dva[2], dvp[2];
        double time,talph,talph_e,eta,eta_e,alph,alph_e,ex;
        double rm, rmt, rms;
        double em, emt, ems, exe, ef, ex2;
        double  pi=4.0*atan(1.0);
        double  sq2=sqrt(2.0);
        double  sqp=sqrt(pi);
        int igate;

	alph = 0.01488; /* based on best fit to SAMOSA model */
        alph_e = 0.0130; /* based on best fots to Indian Ocean profiles */
	t0=64.;
	sig0=2000/4./gt2mm;
	om = -.5;
	od = .5;

	for(igate=0;igate<1024;igate++){
		time = ((double)igate)/8.+1.0;

/*   first compute the Brown model */

		talph_e = fmax(0.0,(time-t0)*alph_e);
                exe=exp(-talph_e);
		eta_e = (time-t0)/(sq2*sig0);
		ef = erf(eta_e);
                ex2 = exp(-eta_e*eta_e);
                em = exe*(1.0+ef)/2.0;
                emt = -ex2/((sig0)*sq2*sqp);
                ems = -eta_e*ex2/((sig0)*sqp);

/*   next compute the SAR model */

                facm=1./sqrt(sig0);
                facd=1./(sig0*sqrt(sig0));
		talph = fmax(0.0,(time-t0)*alph);
		ex=exp(-talph);
                eta = -(time-t0)/(sig0);
                /*fprintf(stdout," %f %f %f %f \n",time,eta,talph,ex);*/
		pbdv_(&om, &eta, dva, dvp, &pcf, &pcd);
                rm=facm*pcf;
		pbdv_(&od, &eta, dva, dvp, &pcf, &pcd);
		rmt=facd*pcf;
                rms=-0.5*rm/sig0+facd*eta*pcf;
		rm = ex*rm;
		fprintf(stdout," %f %f %f %f %f %f %f \n",time,em,emt,ems,rm,rmt,rms);
        }
}
