%
%   make the file with an awk
%  fit_all_s.com | awk '{if($1 == 10) print $2}' > samosa_wavecomp_t0_s.dat
%  fit_all_m.com | awk '{if($1 == 10) print $2}' > samosa_wavecomp_t0_m.dat
%

%
%  first plot the single look
%
junk=load('samosa_wavecomp_t0_s.dat');
t0s = reshape(junk,9,9);
t0t=t0s';
gate2mm=234.1;

kx=[0 0.01 0.02 0.04 0.08 0.12 0.16 0.2 0.3];
swh=[0.5 1 1.5 2 2.5 3 4 6 8];

col=jet(9);

figure(1)
clf
title('single look');
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.5 0.5 6 6]);
set(gcf, 'PaperSize', [8.5 11]);
set(gca,'fontsize',14)
hold all;
for i=1:9
	plot(swh,gate2mm*(t0s(:,i)-48.75),'-o','color',col(i,:));
end
xlabel('SWH (m)');
ylabel('arrival time error (mm)');
legend('0.00^\circ', '0.01^\circ', '0.02^\circ', '0.04^\circ', '0.08^\circ', '0.12^\circ', '0.16^\circ', '0.20^\circ', '0.30^\circ','Location','EastOutside');
axis([0,8,-10,110])
print('-r600','-dpdf','t0_ofswh_angles_s.pdf')
%
%  second plot the multilook
%
junk=load('samosa_wavecomp_t0_m.dat');
t0s = reshape(junk,9,9);
t0t=t0s';
gate2mm=234.1;

kx=[0 0.01 0.02 0.04 0.08 0.12 0.16 0.2 0.3];
swh=[0.5 1 1.5 2 2.5 3 4 6 8];

col=jet(9);

figure(2)
clf
title('multilook');
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.5 0.5 6 6]);
set(gcf, 'PaperSize', [8.5 11]);
set(gca,'fontsize',14)
hold all;
for i=1:9
	plot(swh,gate2mm*(t0s(:,i)-48.75),'-o','color',col(i,:));
end
xlabel('SWH (m)');
ylabel('arrival time error (mm)');
legend('0.00^\circ', '0.01^\circ', '0.02^\circ', '0.04^\circ', '0.08^\circ', '0.12^\circ', '0.16^\circ', '0.20^\circ', '0.30^\circ','Location','EastOutside');
axis([0,8,-10,110])
print('-r600','-dpdf','t0_ofswh_angles_m.pdf')
