
t0s=load('samosa_wavecomp_t0_old.dat');
t0t=t0s';

kx=[0 0.01 0.02 0.04 0.08 0.12 0.16 0.2 0.3];
swh=[0.5 1 1.5 2 2.5 3 4 6 8];

col=jet(9);

figure(1)
title('Cases for Different Mispointing Angles');
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.5 0.5 6 8]);
set(gcf, 'PaperSize', [8.5 11]);
set(gca,'fontsize',14)
hold all;
for i=1:9
	plot(swh,t0s(:,i)-64.0,'-o','color',col(i,:));
end
xlabel('Significant Wave Height');
ylabel('Arrival Time-64.0 (gates)');
legend('0.00^\circ', '0.01^\circ', '0.02^\circ', '0.04^\circ', '0.08^\circ', '0.12^\circ', '0.16^\circ', '0.20^\circ', '0.30^\circ','Location','EastOutside');
print('-r600','-dpdf','t0_ofswh_angles.pdf')

figure(2)
title('Cases for Different SWH');
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.5 0.5 6 8]);
set(gcf, 'PaperSize', [8.5 11]);
set(gca,'fontsize',14)
hold all;
for i=1:9
	plot(kx,t0t(:,i)-64.0,'-o','color',col(i,:));
end
xlabel('Across-Track Mispointing Angle');
ylabel('Arrival Time-64.0 (gates)');
legend('0.5 m','1.0 m','1.5 m','2.0 m','2.5 m','3.0 m','4.0 m','6.0 m','8.0 m','Location','EastOutside');
print('-r600','-dpdf','t0_ofangles_swh.pdf')

figure(3)
title('Cases for Different SWH');
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', [0.5 0.5 6 8]);
set(gcf, 'PaperSize', [8.5 11]);
set(gca,'fontsize',14)
hold all;
for i=1:9
	plot(kx,t0t(:,i)-64.0,'-o','color',col(i,:));
end
xlim([0 0.05]);
xlabel('Across-Track Mispointing Angle');
ylabel('Arrival Time-64.0 (gates)');
legend('0.5 m','1.0 m','1.5 m','2.0 m','2.5 m','3.0 m','4.0 m','6.0 m','8.0 m','Location','EastOutside');
print('-r600','-dpdf','t0_ofangles_l05.pdf')
