/*  c20_dump.c input.c20 > output

program to read a Cryosat 20 Hz
and dump whatever.

  */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "cryosat20hz.h"

int main (int argc, char **argv) {

	struct CRYOSIN20HZ c;
	FILE	*fpin;
	int	i, gate, tide, delay, h0, h1, h2,issb, ioff, tide_csr;
    int     ngood=0, nbad=0;
	double	t,lat, lon, t0, alt, range, ssh, diff, wfac, sfac=0., swdiff, damp;
    double  rhtd, rhd1, rmean, rm2, rms;
    double  rht[20];
	
	/* Make sure usage is right by opening files  */
	
	if (argc != 2 || (fpin = fopen(argv[1], "r")) == NULL) {
		fprintf (stderr, "usage:  s20_wav  input.c20  \n");
		exit (-1);
	}

	while ( (fread ((void *)&c, sizeof(struct CRYOSIN20HZ), (size_t)1, fpin)) == 1 ) {

		lat = 1.0e-06 * c.lat;
		lon = 1.0e-06 * c.lon;
		 
/* dump raw waveforms */
        for (gate=0; gate<512; gate++){
	    	fprintf(stdout, "%lf %lf %d \n",lon,lat,c.wave[gate]);
        }
	}
	fclose (fpin);
	exit (0);
}
